CRAN Package Check Results for Package psycModel

Last updated on 2024-06-12 20:59:10 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.5.0 8.30 208.48 216.78 OK
r-devel-linux-x86_64-debian-gcc 0.5.0 0.59 1.76 2.35 ERROR
r-devel-linux-x86_64-fedora-clang 0.5.0 262.42 NOTE
r-devel-linux-x86_64-fedora-gcc 0.5.0 265.87 NOTE
r-devel-windows-x86_64 0.5.0 9.00 165.00 174.00 OK
r-patched-linux-x86_64 0.5.0 9.35 195.76 205.11 OK
r-release-linux-x86_64 0.5.0 8.63 196.83 205.46 OK
r-release-macos-arm64 0.5.0 78.00 OK
r-release-macos-x86_64 0.5.0 107.00 OK
r-release-windows-x86_64 0.5.0 10.00 183.00 193.00 OK
r-oldrel-macos-arm64 0.5.0 105.00 OK
r-oldrel-macos-x86_64 0.5.0 198.00 OK
r-oldrel-windows-x86_64 0.5.0 12.00 222.00 234.00 OK

Check Details

Version: 0.5.0
Check: package dependencies
Result: ERROR Packages required but not available: 'dplyr', 'ggplot2', 'lme4', 'lmerTest', 'patchwork', 'stringr', 'tibble', 'tidyr', 'tidyselect' Packages suggested but not available for checking: 'cowplot', 'ggrepel', 'interactions', 'qqplotr', 'roxygen2', 'see', 'semPlot', 'testthat', 'lavaSearch2' See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’ manual. Flavor: r-devel-linux-x86_64-debian-gcc

Version: 0.5.0
Check: dependencies in R code
Result: NOTE Namespaces in Imports field not imported from: ‘lifecycle’ ‘patchwork’ All declared Imports should be used. Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc